*READ IN INDIVIDUAL-LEVEL FILE.
get file='g:\ex1.sav'.

*CREATE WOMAN IDENTIFIER.
compute woman=1.
create  /woman=CSUM(woman).
execute.

*OUTPUT FILE IN ASCII FORMAT.
write outfile='g:\tmp1.dat' / woman (f3.0) age1st (f2.0) event (f1.0) ageleft (f2.0) female (f1.0) region (f1.0) fclass (f1.0).
execute.

*READ AN INDIVIDUAL'S RECORD AND OUTPUT 1 RECORD FOR EACH YEAR FROM AGE=16.
*UNTIL THE AGE THEY PARTNER OR AGE 33 (IF NOT PARTNERED BY THEN). E.G. IF MARRY.
*AT AGE 18 THEN 3 RECORDS ARE OUTPUT FOR AGES 16, 17 AND 18.
input program.
data list file='g:\tmp1.dat' / woman (f3.0) age1st (f2.0) event (f1.0) ageleft (f2.0) female (f1.0) region (f1.0) fclass (f1.0).
loop t=16 to age1st.
  end case.
  reread.
  data list file='g:\tmp1.dat' / woman (f3.0) age1st (f2.0) event (f1.0) ageleft (f2.0) female (f1.0) region (f1.0) fclass (f1.0).
end loop.
end input program.
format t (f2.0).

*CREATE THE BINARY DEPENDENT VARIABLE.  FOR YEARS BEFORE PARTNERING/CENSORING.
*Y=0.  FOR THE YEAR AT PARTNERING, Y=1 IF PARTNERED (UNCENSORED) AND Y=0 IF NOT.
*YET PARTNERED (CENSORED).
if (t<age1st) y=0.
if (t=age1st and event=1) y=1.
if (t=age1st and event=2) y=0.
format y (f1.0).

*CREATE TIME-DEPENDENT INDICATOR OF WHETHER OR NOT IN FULL-TIME EDUCATION.
*FULLTIME=1 IF IN FT EDUCATION, AND 0 IF NOT.
if (t<=ageleft) fulltime=1.
if (t>ageleft) fulltime=0.
format fulltime (f1.0).

*SAVE PERSON-PERIOD DATA FILE.
save outfile='g:\ex1pp.sav'.


